## -*- coding: utf-8 -*-
## Copyright (C) 2007 Ingeniweb

## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.

## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with this program; see the file COPYING. If not, write to the
## Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

from Products.CMFPlone.utils import base_hasattr
from Products.LinguaFace.interfaces import ITranslatable
from Products.LinguaFace import LOG

def reindexTranslations(obj, event=None):
    """
    if content has a language independent field,
    reindex translations after a content have been modified
    """
    for field in obj.schema.values():
        if field.languageIndependent:
            for translation, state in obj.getTranslations().values():
                if translation != obj:
                    translation.reindexObject()
            break

